Identify a merchant
curl --request POST \
--url https://api.logo.dev/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": "SQ *BLUE BOTTLE 1523 OAKLAND CA",
"country_code": "US"
}
'import requests
url = "https://api.logo.dev/transaction"
payload = {
"transaction": "SQ *BLUE BOTTLE 1523 OAKLAND CA",
"country_code": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction: 'SQ *BLUE BOTTLE 1523 OAKLAND CA', country_code: 'US'})
};
fetch('https://api.logo.dev/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Blue Bottle Coffee",
"domain": "bluebottlecoffee.com",
"logo_url": "https://img.logo.dev/bluebottlecoffee.com?token=LOGO_DEV_PUBLISHABLE_KEY"
}Transaction API
Identify a merchant
Resolve a raw card-transaction descriptor to a merchant brand: its name, domain, and logo. Optional country_code to disambiguate. Early access; secret key.
POST
/
transaction
Identify a merchant
Authorizations
Secret key (sk_...). Server-side only. Used for the REST APIs.
Body
application/json
Was this page helpful?
⌘I